/* Derek's CSS */

* {
    margin:0;
    box-sizing: border-box;
}

#page-wrapper {
    width: 100%;
    height: 100%;

    font-size: calc(2px + 2vh);

    font-family: Montserrat, sans-serif;
    text-align: center;

    background-color: yellow;
    color: black;
}

header {
    width: 100%;

    padding: 10%;

    font-size: calc(10px + 2vh);
}

nav {
    width: 100%;
    background-color: #191414;
}

/* Edison's */
nav ul {
    width: 65%;
    margin: auto;

    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;

    list-style: none;
    padding: 1%;
}

nav a {
    color: white;
    text-decoration: none;

    font-size: calc(10px + 2vw);
}

/* Edison's */
nav a:hover {
    background-color: #FFD84D;
    color: #FFD84D;
    border-radius: 20px;
}
/* End of Edison's */

#page-intro h2 {
    padding-top: 5%;
}

#gallery {
    width: 95%;
    height: 100vh;
    margin: 5% auto;

    position: relative;

    background-color: #ffff80;
    border: 5px solid #e8d81e;

    display: flex;
    flex-direction: row;
}


#box1{
    left: 3%;
    position: absolute;
    width:30%;
    height:80%;
    border: 5px grey solid;
    margin: 5% 0;
    background-image: url("../src/images/happy-images/littlehappy.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}


#box1:hover{
    z-index: 4;
}


#box2{
    left: 35%;
    position: absolute;
    width:30%;
    height:80%;
    border: 5px grey solid;
    margin: 5% 0;
    background-image: url("../src/images/happy-images/happier.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#box2:hover{
    z-index: 3;
}


#box3{
    left: 67%;
    position: absolute;
    width:30%;
    height:80%;
    border: 5px gray solid;
    margin: 5% 0;
    background-image: url("../src/images/happy-images/veryhappy.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
#box3:hover{
    z-index: 2;
}


.text{
    text-align: center;
    opacity: 0;
    transition: opacity 2s;
    background-color: yellow;
    height: 100%;
    width: 100%;
    padding-top: 25%;
    font-size: calc(2px + 2vw);
    color: black;
}

#box1 a{
    position: absolute;
    bottom: 10%;
    left: 0;
    width: 100%;
    text-align: center;
    opacity: 0;
    transition: opacity 2s;
    color: blue;
    font-size: calc(2px + 1.8vw);
    text-decoration: none;
}

#box2 a {
    position: absolute;
    bottom: 10%;
    left: 0;
    width: 100%;
    text-align: center;
    opacity: 0;
    transition: opacity 2s;
    color: blue;
    font-size: calc(2px + 1.8vw);
    text-decoration: none;
}

#box3 a {
    position: absolute;
    bottom: 10%;
    left: 0;
    width: 100%;
    text-align: center;
    opacity: 0;
    transition: opacity 2s;
    color: blue;
    font-size: calc(2px + 1.8vw);
    text-decoration: none;
}

#box1:hover a, #box2:hover a, #box3:hover a {
    opacity: 1;
}

#box1:hover .text, #box2:hover .text, #box3:hover .text {
    opacity: 0.5;
}


#playlist-1, #playlist-2, #playlist-3 {
    width: 100%;
    height: 100vh;
}


footer {
    width: 100%;
    background-color: #333333;
    color: white;
    text-align: center;
    padding: 2%;
    bottom: 0;
    left: 0;
    font-size: calc(1px + .8vw);
}

footer a {
    color: lightgrey;
    text-decoration: none;
}

/* Playlists */

#playlists {
    margin: auto;

    display: flex;
    flex-direction: column;
}

#playlist-1, #playlist-2, #playlist-3 {
    height: 100vh;
    display: none;
}

#playlist-1:target,
#playlist-2:target,
#playlist-3:target {
    display: block;
}

.playlist {
    display: none;
}

.playlist iframe {
    width: 70%;
    height: 70vh; /* adjust if you want taller/shorter player */
    border-radius: 12px;
}
.playlist-message {
    text-align: center;
    font-size: calc(4px + 1.5vw);
    margin: 2% 0;
    color: #222222;
}

/* Edison's
/* basic font */
@font-face {
    font-family: 'Montserrat';
    src: url('../src/fonts/home-fonts/Montserrat/static/Montserrat-Light.ttf') format('truetype');
}

